﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek TPS 2000 VER RS-232 /O_CAL
DATE:                  2014-03-14 10:31:01
AUTHOR:                Fluke
REVISION:              $Revision: 7612 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       215
=============================================================================
#
#  Procedure Author:
#        VY, GMO
#
# Models covered:
#       TPS 2012, TPS 2014, TPS 2024, TPS 2012B, TPS 2014B, TPS 2024B
#
# Source(s):
#       TPS2000 Series Digital Storage Oscilloscopes
#       Service Manual, PN 071-1465-01
#
# Compatibility:
#       MET/CAL version 8.1.4 or later
#
# Average run time during testing :  10 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            F        V

  1.002  IF           NOT(VERSIONCHECK("8.1.7"))
  1.003  END
  1.004  ENDIF

  1.005  HEAD         REMOTE SETUP
  1.006  TARGET
  1.007  CALL         Sub Tek TPS2000 Setup RS-232
  1.008  PORT         *RST

  1.009  HEAD         UUT IDENTIFICATION
  1.010  MATH         @UUT_Manufacturer = "TEKTRONIX"
  1.011  CALL         Sub IEEE-488.2 Identification Query RS-232 using OTERM
  1.012  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.013  CALL         Sub High Voltage Safety Warning

  1.014  HEAD         PRELIMINARY INSTRUCTIONS
  1.015  CALL         Sub Select Failed Test Mode
  1.016  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.017  HEAD         TEST CONDITIONS
  1.018  DISP         Ensure a minimum UUT warm-up time of at least
  1.018  DISP         10 minutes has been allowed to elapse, prior
  1.018  DISP         to beginning verification.

  1.019  HEAD         EQUIPMENT REQUIREMENTS
  1.020  DISP         The following additional equipment and/or
  1.020  DISP         accessories are required:
  1.020  DISP
  1.020  DISP         - Power Splitter, 1 kHz to 500 MHz, 6 dB insertion loss,
  1.020  DISP         [32] output tracking: <0.25 dB, equivalent output
  1.020  DISP         [32] SWR: <1.22, HP/Agilent 11667A or equivalent
  1.020  DISP         [32] N(f) all ports
  1.020  DISP         - N(m) to BNC(f) adapter, 3 sets
  1.020  DISP         - 50 Ω feed through terminator, 2 sets
  1.020  DISP         - 50 Ω BNC(m)-(m) cable, 10 inch long, 2 sets

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results. For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.021  CALL         Sub Tek TPS2000 Self-Test RS-232
  1.022  JMPL         END                         @Abort

  1.023  CALL         Sub Tek TPS2000 Sig Path Comp Cal RS-232
  1.024  JMPL         END                         @Abort

  1.025  MATH         @Chan = 1
  1.026  CALL         Sub Tek TPS2000 (1 yr) DCV Gain RS-232 /O_CAL
  1.027  JMPL         DC_MEAS_CH1

  1.028  LABEL        DC_GAIN_CH2
  1.029  MATH         @Chan = 2
  1.030  CALL         Sub Tek TPS2000 (1 yr) DCV Gain RS-232 /O_CAL
  1.031  JMPL         DC_MEAS_CH2

  1.032  LABEL        DC_GAIN_CH3
  1.033  MATH         @Chan = 3
  1.034  CALL         Sub Tek TPS2000 (1 yr) DCV Gain RS-232 /O_CAL
  1.035  JMPL         DC_MEAS_CH3

  1.036  LABEL        DC_GAIN_CH4
  1.037  MATH         @Chan = 4
  1.038  CALL         Sub Tek TPS2000 (1 yr) DCV Gain RS-232 /O_CAL
  1.039  JMPL         DC_MEAS_CH4

  1.040  LABEL        DC_MEAS_CH1

  1.041  IF           FINDI(@UUT_Model,"B",1)
  1.042  MATH         @Chan = 1
  1.043  CALL         Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /O_CAL
  1.044  ENDIF

  1.045  JMPL         BANDWIDTH_CH1

  1.046  LABEL        DC_MEAS_CH2

  1.047  IF           FINDI(@UUT_Model,"B",1)
  1.048  MATH         @Chan = 2
  1.049  CALL         Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /O_CAL
  1.050  ENDIF

  1.051  JMPL         BANDWIDTH_CH2

  1.052  LABEL        DC_MEAS_CH3

  1.053  IF           FINDI(@UUT_Model,"B",1)
  1.054  MATH         @Chan = 3
  1.055  CALL         Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /O_CAL
  1.056  ENDIF

  1.057  JMPL         BANDWIDTH_CH3

  1.058  LABEL        DC_MEAS_CH4

  1.059  IF           FINDI(@UUT_Model,"B",1)
  1.060  MATH         @Chan = 4
  1.061  CALL         Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /O_CAL
  1.062  ENDIF
  1.063  JMPL         BANDWIDTH_CH4

  1.064  LABEL        BANDWIDTH_CH1
  1.065  MATH         @Chan = 1
  1.066  CALL         Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /O_CAL
  1.067  JMPL         TRIG_CH1

  1.068  LABEL        BANDWIDTH_CH2
  1.069  MATH         @Chan = 2
  1.070  CALL         Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /O_CAL
  1.071  JMPL         TRIG_CH2

  1.072  LABEL        BANDWIDTH_CH3
  1.073  MATH         @Chan = 3
  1.074  CALL         Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /O_CAL
  1.075  JMPL         TRIG_CH3

  1.076  LABEL        BANDWIDTH_CH4
  1.077  MATH         @Chan = 4
  1.078  CALL         Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /O_CAL
  1.079  JMPL         TRIG_CH4

  1.080  LABEL        TRIG_CH1
  1.081  MATH         @Chan = 1
  1.082  CALL         Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /O_CAL
  1.083  JMPL         SAMPLE_RATE_DELAY_TIME

  1.084  LABEL        TRIG_CH2
  1.085  MATH         @Chan = 2
  1.086  CALL         Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /O_CAL
  1.087  JMPL         EXT_TRIG               @NumChan == 2
  1.088  JMPL         DC_GAIN_CH3

  1.089  JMPL         BANDWIDTH_CH3

  1.090  LABEL        TRIG_CH3
  1.091  MATH         @Chan = 3
  1.092  CALL         Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /O_CAL
  1.093  JMPL         DC_GAIN_CH4

  1.094  LABEL        TRIG_CH4
  1.095  MATH         @Chan = 4
  1.096  CALL         Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /O_CAL

  1.097  LABEL        EXT_TRIG
  1.098  MATH         @Chan = 1
  1.099  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /O_CAL
  1.100  MATH         @Chan = 2
  1.101  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /O_CAL
  1.102  JMPL         END               @NumChan == 2
  1.103  MATH         @Chan = 3
  1.104  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /O_CAL
  1.105  MATH         @Chan = 4
  1.106  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /O_CAL
  1.107  JMPL         END

  1.108  LABEL        SAMPLE_RATE_DELAY_TIME
  1.109  MATH         @Chan = 1
  1.110  CALL         Sub Tek TPS2000 (1 yr) Sample Rate RS-232 /O_CAL
  1.111  JMPL         DC_GAIN_CH2

  1.112  LABEL        END
  1.113  HEAD

  1.114  IF           @Abort
  1.115  DISP         V E R I F I C A T I O N   A B O R T E D
  1.116  RSLT         =V E R I F I C A T I O N   A B O R T E D
  1.117  ENDIF

  1.118  END
